JdbcPooledDataSourceFactory (Apache Geode 1.8.0)
Date: 2018-11-29

org.apache.geode.connectors.jdbc

## Class JdbcPooledDataSourceFactory

- java.lang.Object
- - org.apache.geode.connectors.jdbc.JdbcPooledDataSourceFactory

- All Implemented Interfaces:
    PooledDataSourceFactory

      public class JdbcPooledDataSourceFactory
      extends java.lang.Object
      implements PooledDataSourceFactory

  This class implements PooledDataSourceFactory for the JDBC Connector extension. It will be used by default for a jndi-binding of type "POOLED". For more information see "gfsh create jndi-binding".

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JdbcPooledDataSourceFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.sql.DataSource` | `createDataSource(java.util.Properties poolProperties, java.util.Properties dataSourceProperties)` Create and return a data source configured with the given properties.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JdbcPooledDataSourceFactory

          public JdbcPooledDataSourceFactory()

  - ### Method Detail

    - #### createDataSource

          public javax.sql.DataSource createDataSource(java.util.Properties poolProperties,
                                                       java.util.Properties dataSourceProperties)

      Description copied from interface: `PooledDataSourceFactory`
      Create and return a data source configured with the given properties.

      If you desire to have the data source release its resources when the cache is closed or the jndi-binding is removed, then also implement `AutoCloseable`.

      Specified by:
        `createDataSource` in interface `PooledDataSourceFactory`
      Parameters:
        `poolProperties` - properties to use to initialize the pool part of the data source The poolProperties names can be any of the following: connection-url, user-name, password, jdbc-driver-class, max-pool-size, init-pool-size, idle-timeout-seconds, login-timeout-seconds, or blocking-timeout-seconds.
        `dataSourceProperties` - properties to use to initialize the data source the pool will use to create connections
      Returns:
        the created data source